edu.northwestern.at.morphadorner.corpuslinguistics.namestandardizer

## Class NoopNameStandardizer

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.namestandardizer.NoopNameStandardizer

- All Implemented Interfaces:
    NameStandardizer

      public class NoopNameStandardizer
      extends java.lang.Object
      implements NameStandardizer

  NoopNameStandardizer -- returns original proper name untouched.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopNameStandardizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `dontStandardize(java.lang.String properName)` Check if we should not standardize a name.
    `int` | `getNumberOfNames()` Return number of names.
    `void` | `loadNames(java.util.Collection<java.lang.String> properNamesCollection)` Load names from a collection of names.
    `void` | `loadNames(java.lang.String properNamesFileName)` Load spelling data.
    `void` | `loadNamesFromLexicon(Lexicon lexicon)` Load names from a lexicon.
    `java.lang.String` | `preprocessProperName(java.lang.String properName)` Preprocess proper name.
    `java.lang.String` | `standardizeProperName(java.lang.String properName)` Returns standard proper name given a proper name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopNameStandardizer

          public NoopNameStandardizer()

  - ### Method Detail

    - #### loadNames

          public void loadNames(java.lang.String properNamesFileName)
                         throws java.io.IOException

      Load spelling data.
      Specified by:
        `loadNames` in interface `NameStandardizer`
      Parameters:
        `properNamesFileName` - File containing proper names data.

        Does nothing here.

      Throws:
        `java.io.IOException`

    - #### loadNames

          public void loadNames(java.util.Collection<java.lang.String> properNamesCollection)

      Load names from a collection of names.
      Specified by:
        `loadNames` in interface `NameStandardizer`
      Parameters:
        `properNamesCollection` - Collection containing proper names.

    - #### loadNamesFromLexicon

          public void loadNamesFromLexicon(Lexicon lexicon)
                                    throws java.io.IOException

      Load names from a lexicon.
      Specified by:
        `loadNamesFromLexicon` in interface `NameStandardizer`
      Parameters:
        `lexicon` - The lexicon from which to load names.

        Does nothing here.

      Throws:
        `java.io.IOException`

    - #### getNumberOfNames

          public int getNumberOfNames()

      Return number of names.
      Specified by:
        `getNumberOfNames` in interface `NameStandardizer`
      Returns:
        Always returns 0.

    - #### dontStandardize

          public boolean dontStandardize(java.lang.String properName)

      Check if we should not standardize a name.
      Specified by:
        `dontStandardize` in interface `NameStandardizer`
      Parameters:
        `properName` - Name to check.
      Returns:
        Always true to avoid standardizing name.

    - #### preprocessProperName

          public java.lang.String preprocessProperName(java.lang.String properName)

      Preprocess proper name.
      Specified by:
        `preprocessProperName` in interface `NameStandardizer`
      Parameters:
        `properName` - Proper name to preprocess before standardization.
      Returns:
        Proper name untouched.

    - #### standardizeProperName

          public java.lang.String standardizeProperName(java.lang.String properName)

      Returns standard proper name given a proper name.
      Specified by:
        `standardizeProperName` in interface `NameStandardizer`
      Parameters:
        `properName` - The proper name.
      Returns:
        The propert name untouched.